# Generated by Django 4.1.1 on 2022-09-13 11:19

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('tourism', '0027_alter_tourismtype_options_and_more'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='organizer',
            options={'ordering': ['name'], 'verbose_name': 'Организатор', 'verbose_name_plural': 'Организаторы'},
        ),
        migrations.AddField(
            model_name='organizer',
            name='created',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now, verbose_name='Создано'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='individual_tax_number_enc',
            field=models.CharField(default=django.utils.timezone.now, max_length=200, verbose_name='ИНН (зашифр)'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='individual_tax_number_original_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='individual_tax_number_original_file', to='tourism.useruploadedfile', verbose_name='Фото ИНН'),
        ),
        migrations.AddField(
            model_name='organizer',
            name='modified',
            field=models.DateTimeField(auto_now=True, verbose_name='Изменено'),
        ),
        migrations.AddField(
            model_name='organizer',
            name='passport_issue_authority_enc',
            field=models.CharField(default='gAAAAABjILPb7totTCj6e6JhRsWOUU3nzgzB-h-jNpOgX7VGF7BaZxsS1I6OvX0xoMjNV0a100YaWq0NJ04VmjHwMfvZoEot0w==', max_length=1000, verbose_name='Орган выдачи (зашифр)'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='passport_issue_date_enc',
            field=models.CharField(default='gAAAAABjILPb7totTCj6e6JhRsWOUU3nzgzB-h-jNpOgX7VGF7BaZxsS1I6OvX0xoMjNV0a100YaWq0NJ04VmjHwMfvZoEot0w==', max_length=200, verbose_name='Дата выдачи (зашифр)'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='passport_number_enc',
            field=models.CharField(default='gAAAAABjILPb7totTCj6e6JhRsWOUU3nzgzB-h-jNpOgX7VGF7BaZxsS1I6OvX0xoMjNV0a100YaWq0NJ04VmjHwMfvZoEot0w==', max_length=200, verbose_name='Номер паспотра (зашифр)'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='passport_original_file',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='passport_original_file', to='tourism.useruploadedfile', verbose_name='Фото паспорта'),
        ),
        migrations.AddField(
            model_name='organizer',
            name='passport_series_enc',
            field=models.CharField(default='gAAAAABjILPb7totTCj6e6JhRsWOUU3nzgzB-h-jNpOgX7VGF7BaZxsS1I6OvX0xoMjNV0a100YaWq0NJ04VmjHwMfvZoEot0w==', max_length=200, verbose_name='Серия паспотра (зашифр)'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='organizer',
            name='verified',
            field=models.BooleanField(default=False, verbose_name='Организация подтверждена?'),
        ),
    ]
